> For the complete documentation index, see [llms.txt](https://docs.feast.dev/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.feast.dev/v0.49-branch/reference/feature-servers/registry-server.md).

# Registry server

## Registry server

### Description

The Registry server uses the gRPC communication protocol to exchange data.\
This enables users to communicate with the server using any programming language that can make gRPC requests.

### How to configure the server

### CLI

There is a CLI command that starts the Registry server: `feast serve_registry`. By default, remote Registry Server uses port 6570, the port can be overridden with a `--port` flag.\
To start the Registry Server in TLS mode, you need to provide the private and public keys using the `--key` and `--cert` arguments.\
More info about TLS mode can be found in [feast-client-connecting-to-remote-registry-sever-started-in-tls-mode](/v0.49-branch/how-to-guides/starting-feast-servers-tls-mode.md#starting-feast-registry-server-in-tls-mode)

### How to configure the client

Please see the detail how to configure Remote Registry client [remote.md](https://github.com/feast-dev/feast/blob/v0.49-branch/docs/reference/registries/remote.md)

## Registry Server Permissions and Access Control

Please refer the [page](https://github.com/feast-dev/feast/blob/v0.49-branch/docs/reference/registry/registry-permissions.md) for more details on API Endpoints and Permissions.

### How to configure Authentication and Authorization ?

Please refer the [page](/v0.49-branch/getting-started/concepts/permission.md) for more details on how to configure authentication and authorization.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.feast.dev/v0.49-branch/reference/feature-servers/registry-server.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
